Bug 1468310 - Wifi drops with bad WMM params and Meru AP
Wifi drops with bad WMM params and Meru AP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 12:06 EDT by Matt Hirsch
Modified: 2017-12-12 05:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:25:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Hirsch 2017-07-06 12:06:19 EDT
Description of problem: When connecting to a specific AP, about once every 15 minutes my wireless connection locks up -- the card remains associated to the AP but no data flows. If I turn the wifi card off and back on it resumes for a time. I see these messages in dmesg when the problem happens:

wlp8s0: AP has invalid WMM params (AIFSN=0 for ACI 0), will use 2
wlp8s0: AP has invalid WMM params (AIFSN=0 for ACI 1), will use 2
wlp8s0: AP has invalid WMM params (AIFSN=0 for ACI 2), will use 2
wlp8s0: AP has invalid WMM params (AIFSN=0 for ACI 3), will use 2
wlp8s0: failed to set TX queue parameters for AC 0
wlp8s0: failed to set TX queue parameters for AC 1
wlp8s0: failed to set TX queue parameters for AC 2
wlp8s0: failed to set TX queue parameters for AC 3

People using apple laptops with the same AP don't have a problem.

Version-Release number of selected component (if applicable):

kernel-4.11.8-200.fc25.x86_64

How reproducible:

Frequently

Steps to Reproduce:
1. Connect to a specific AP, (I'm pretty sure its a meru networks ap320) using network manager from gnome with Intel Corporation Wireless 7260 (rev 83) card.

Actual results:
Connection drops after 15-20 minutes with above error messages in dmesg

Expected results:
Stable connectionn

Additional info:
The laptop I'm using is a lenovo Y50 and the wireless card is Intel Corporation Wireless 7260 (rev 83).
Comment 1 Fedora End Of Life 2017-11-16 14:46:06 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Felix Schwarz 2017-11-21 17:11:52 EST
Matt: Do you still see the problem? I'm asking because I have similar symptoms but I'm not sure if they refer to the same problem and I don't want to hijack your ticket.
Comment 3 Matt Hirsch 2017-11-21 17:47:02 EST
I only observed this problem in one office space with Meru access points. I haven't been back there in awhile, so I'm not sure if it's still an issue.
Comment 4 Fedora End Of Life 2017-12-12 05:25:46 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.